/* general styles */
html, body {
	height: 100%;
	width: 100%;
	background-color: #DDDDDD;
}
body {
	padding-top: 50px;
}

main {
	display: default;
}

/* padded section */
.pad-section {
	padding: 50px 0;
}

.jump-link-target {
	border-top: 50px solid transparent;
	margin-top: -50px;
	-webkit-background-clip: padding-box;
	-moz-background-clip: padding;
	background-clip: padding-box;
}

.captcha-image {
	width: 215px;
	height: 80px;
	padding: 5px;
}

/* Stupid bootstrap */
blockquote small:before, blockquote .small:before {
	content:"";
}
blockquote footer .small { display: inline;}

/* Customize the feedback icon styles */
#feedback_form #captcha_code + i.form-control-feedback {
	right: -16.6667%
}

main {
/* 	padding-top: 50px; */
}

/* vertical-centered text */
.text-vcenter {
	display: table-cell;
	vertical-align: middle;
}
.text-vcenter h1 {
	font-size: 4.5em;
	font-weight: 700;
	margin: 0;
	padding: 0;
}

.top-shadow-background {
	background: -moz-linear-gradient(top,  rgba(0,0,0,0.65) 0%, rgba(0,0,0,0) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(0,0,0,0.65)), color-stop(100%,rgba(0,0,0,0))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 100%); /* IE10+ */
	background: linear-gradient(to bottom,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a6000000', endColorstr='#00000000',GradientType=0 ); /* IE6-9 */
}
.bottom-shadow-background {
	background: -moz-linear-gradient(top,  rgba(0,0,0,0) 0%, rgba(0,0,0,0.65) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(0,0,0,0)), color-stop(100%,rgba(0,0,0,0.65))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 100%); /* IE10+ */
	background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#a6000000',GradientType=0 ); /* IE6-9 */
}

.previous-section-above {
	background: -moz-linear-gradient(top,  rgba(0,0,0,0.65) 0%, rgba(0,0,0,0) 3%, rgba(0,0,0,0) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(0,0,0,0.65)), color-stop(3%,rgba(0,0,0,0)), color-stop(100%,rgba(0,0,0,0))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 3%,rgba(0,0,0,0) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 3%,rgba(0,0,0,0) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 3%,rgba(0,0,0,0) 100%); /* IE10+ */
	background: linear-gradient(to bottom,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 3%,rgba(0,0,0,0) 100%); /* W3C */
	background-repeat: no-repeat;
	background-attachment: inherit;
}

.next-section-above {
	background: -moz-linear-gradient(top,  rgba(0,0,0,0) 0%, rgba(0,0,0,0) 97%, rgba(0,0,0,0.65) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(0,0,0,0)), color-stop(97%,rgba(0,0,0,0)), color-stop(100%,rgba(0,0,0,0.65))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 97%,rgba(0,0,0,0.65) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 97%,rgba(0,0,0,0.65) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 97%,rgba(0,0,0,0.65) 100%); /* IE10+ */
	background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 97%,rgba(0,0,0,0.65) 100%); /* W3C */
	background-repeat: no-repeat;
	background-attachment: inherit;
}

.form-inline .form-group {
    margin-left: 0;
    margin-right: 0;
}

@media (min-width: 768px) {
	.row.equal-height {
	    display: table;
	}

	.row.equal-height [class^="col-"] {
	    float: none;
	    display: table-cell;
	    vertical-align: top;
	}

	.row.equal-height .col-xs-1, .row.equal-height .col-sm-1 {
		vertical-align: middle;
		line-height: 100%;
		height:100%;
	}

	.sideways
	{
		border: none;
		position: absolute;
/* 		margin-bottom: -100%; */
/* 		margin-left: 30%; */
/* 		vertical-align: middle; */
	}
	.sideways.right {
		-webkit-transform-origin: right top;
		transform-origin: right top;
		-webkit-transform: rotate(90deg);
		-moz-transform: rotate(90deg);
		-ms-transform: rotate(90deg);
		-o-transform: rotate(90deg);
		transform: rotate(90deg);
	}
	.sideways.left  {
		-webkit-transform-origin: left top;
		transform-origin: left top;
		-webkit-transform: rotate(-90deg);
		-moz-transform: rotate(-90deg);
		-ms-transform: rotate(-90deg);
		-o-transform: rotate(-90deg);
		transform: rotate(-90deg);
	}

	.heading-block .sideways {
/* 		padding-top: 3.5%; */
/* 		min-width: 75px; */
	}

	h2.sideways  {
		margin: 0px;
/*
		margin-bottom: 0px;
		margin-left: auto;
		margin-right: auto;
 */
		margin-top: 45%;
		font-size: 45px;
	}

}

/* modifiers */
.expandify { width: 100%; margin:auto; }
.no-stretch { width: auto; }
.no-gutter > [class*='col-'] { padding-right:0; padding-left:0; }
.no-svg { font-size 50%; }

.navbar-brand { font-variant: small-caps; }

/* generic objects */
.display-bar {
	width: 100%;
	height: 10px;
}
.display-bar.top-shadow-background {
/* 	margin-top: -50px; */
/* 	margin-bottom: 20px; */
}
.display-bar.bottom-shadow-background {
/* 	margin-bottom: -50px; */
/* 	margin-top: 20px; */
}

.heading-block {
/* 	background-color: yellow; */
	position: relative;
}
.heading-block h2
{
/* 	color: white; */
	text-transform: uppercase;
}

.cover-page {
	display: table;
	height: 100%;
	position: relative;
	width: 100%;
}

.section-content {
	padding-top: 15px;
	padding-bottom: 15px;
}

#alphabet-soup { display: none; font-size: 85% }
/*
@media (min-width: 633px) {
	#alphabet-soup
	{
		display: block;
		width: 85%;
		min-height: 300px;
		height: 100%;
		overflow: visible;
		font-size: 45%;
	}
}
 */
@media (min-width: 768px) {
	#alphabet-soup
	{
		display: inline-block;
		width: 100%;
		min-height: 300px;
		height: 100%;
/* 		overflow: visible; */
		font-size: 67%;
	}
}



/* additional sections */
#home-section {
	background-color: #FFF;
	background-repeat: no-repeat;
	background-position: center top;
	background-attachment: fixed;
	background-image:
			linear-gradient(to bottom, rgba(255,255,255,0.25) 0%, rgba(255,255,255,0.25) 100%),
			url("/img/bg/key_west_panorama_stitched-400.jpg")
		;
	background-image:
			-webkit-linear-gradient(top, rgba(255,255,255,0.25) 0%, rgba(255,255,255,0.25) 100%), /* Chrome10+,Safari5.1+ */
			url("/img/bg/key_west_panorama_stitched-400.jpg")
		;
	background-size: cover;
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
}

#home-section .main-text {
	background-color: rgba(255,255,255,0.75);
	padding: 15px;
	border-radius: 3px;
}

#work-section {
}

#play-section {
	color:#1C1C1C;
	background-color: #FFF;
	background-position: center center;
	background-attachment: fixed;
	/* inspired by "The Cicada Principle and Why It Matters to Web Designers" by Alex Walker */
	/* @see http://www.sitepoint.com/the-cicada-principle-and-why-it-matters-to-web-designers/ */
	background-image:
 			linear-gradient(to bottom, rgba(255,255,255,0.75) 0%, rgba(255,255,255,0.75) 100%)
			,url("/img/bg/cp/hexes/17.png")
			,url("/img/bg/cp/hexes/11.png")
			,url("/img/bg/cp/hexes/07.png")
			,url("/img/bg/cp/hexes/05.png")
			,url("/img/bg/cp/hexes/03.png")
			,url("/img/bg/cp/hexes/unit.png")
		;
	/* browsers can ignore the whole background-image if it encounters a gradient it doesn't understand */
	background-image:
 			-webkit-linear-gradient(top, rgba(255,255,255,0.75) 0%,rgba(255,255,255,0.75) 100%) /* Chrome10+,Safari5.1+ */
 			,url("/img/bg/cp/hexes/17.png")
			,url("/img/bg/cp/hexes/11.png")
			,url("/img/bg/cp/hexes/07.png")
			,url("/img/bg/cp/hexes/05.png")
			,url("/img/bg/cp/hexes/03.png")
			,url("/img/bg/cp/hexes/unit.png")
		;

}
#play-section .glyphicon {
	display: inline-block;
	font-size: 24px;
	height: 56px;
	line-height: 56px;
	width: 56px;
	text-align: center;
	vertical-align: middle;
}

@media (min-width: 768px) {
	#play-section .glyphicon {
		font-size: 38px;
		height: 90px;
		line-height: 90px;
		width: 90px;
	}
}
@media (min-width: 992px) {
	#play-section .glyphicon {
		font-size: 50px;
		height: 116px;
		line-height: 116px;
		width: 116px;
	}
}
@media (min-width: 1200px) {
	#play-section .glyphicon {
		font-size: 60px;
		height: 140px;
		line-height: 140px;
		width: 140px;
	}
}

#info-section {
}


#blog-section {
	background-image:
			linear-gradient(to bottom, rgba(255,255,255,0.25) 0%, rgba(255,255,255,0.25) 100%)
			,url("/img/bg/beach_sand_circle-400.jpg")
		;
	background-image:
 			-webkit-linear-gradient(top, rgba(255,255,255,0.25) 0%,rgba(255,255,255,0.25) 100%) /* Chrome10+,Safari5.1+ */
			,url("/img/bg/beach_sand_circle-400.jpg")
		;
	background-repeat: no-repeat;
	background-position: center bottom;
	background-attachment: fixed;
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
	display: table;
	position: relative;
	width: 100%;
}

#blog-section .panel {
	opacity: 0.85;
}


/* hirez covers */
#home-section.hirez {
	background-image:
			linear-gradient(to bottom, rgba(255,255,255,0.25) 0%, rgba(255,255,255,0.25) 100%),
			url("/img/bg/key_west_panorama_stitched-1600.jpg")
		;
	background-image:
			-webkit-linear-gradient(top, rgba(255,255,255,0.25) 0%, rgba(255,255,255,0.25) 100%), /* Chrome10+,Safari5.1+ */
			url("/img/bg/key_west_panorama_stitched-1600.jpg")
		;
}

#blog-section.hirez {
	background-image:
			linear-gradient(to bottom, rgba(255,255,255,0.25) 0%, rgba(255,255,255,0.25) 100%)
			,url("/img/bg/beach_sand_circle-1600.jpg")
		;
	background-image:
 			-webkit-linear-gradient(top, rgba(255,255,255,0.25) 0%,rgba(255,255,255,0.25) 100%) /* Chrome10+,Safari5.1+ */
			,url("/img/bg/beach_sand_circle-1600.jpg")
		;
}
